# $Revision: 1.148 $, $Date: 2011/03/23 16:16:05 $
#
# TODO:
# - something with %{_datadir}/themes/Theme dirs (some belong to gnome-themes,
#   some don't belong anywhere...)
# - metacity requires itself (links with installed libmetacity-private
#   instead of linking with built one?)
#

Summary:	Metacity window manager
Summary(pl.UTF-8):	Zarządca okien Metacity
Name:		metacity
Version:	2.30.3
Release:	2
Epoch:		2
License:	GPL v2+
Group:		X11/Window Managers
Source0:	http://ftp.gnome.org/pub/GNOME/sources/metacity/2.30/%{name}-%{version}.tar.bz2
# Source0-md5:	553784f376d96b902e19ff437cd5b339
# https://bugzilla.gnome.org/show_bug.cgi?id=588119
Patch0:		%{name}-meta_session_shutdown.patch
BuildRequires:	GConf2-devel >= 2.24.0
BuildRequires:	autoconf >= 2.50
BuildRequires:	automake
BuildRequires:	gettext-devel
BuildRequires:	gnome-doc-utils >= 0.9.0
BuildRequires:	gtk+2-devel >= 2:2.20.0
BuildRequires:	intltool >= 0.40.0
BuildRequires:	libcanberra-gtk-devel
BuildRequires:	libgtop-devel
BuildRequires:	libtool
BuildRequires:	pkgconfig
BuildRequires:	rpmbuild(macros) >= 1.197
BuildRequires:	sed >= 4.0
BuildRequires:	startup-notification-devel >= 0.8
BuildRequires:	xorg-lib-libSM-devel
# do we want to patch it?
BuildRequires:	zenity
Requires(post,preun):	GConf2
Requires:	%{name}-libs = %{epoch}:%{version}-%{release}
Requires:	metacity-theme-base = %{epoch}:%{version}-%{release}
Requires:	zenity
Provides:	gnome-wm
# sr@Latn vs. sr@latin
Conflicts:	filesystem < 3.0-20
Conflicts:	glibc-misc < 6:2.7
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Metacity is a simple window manager that integrates nicely with
GNOME2.

%description -l pl.UTF-8
Metacity jest prostym zarządcą okien ładnie integrującym się z GNOME2.

%package libs
Summary:	Metacity - libraries
Summary(pl.UTF-8):	Metacity - biblioteki
Group:		X11/Libraries
Conflicts:	metacity <= 2.6.3-4

%description libs
This package contains libraries for Metacity window manager.

%description libs -l pl.UTF-8
Pakiet zawierający biblioteki zarządcy okien Metacity.

%package devel
Summary:	Metacity - header files
Summary(pl.UTF-8):	Metacity - pliki nagłówkowe
Group:		X11/Development/Libraries
Requires:	%{name}-libs = %{epoch}:%{version}-%{release}
Requires:	gtk+2-devel >= 2:2.16.0

%description devel
This package contains header files for Metacity window manager.

%description devel -l pl.UTF-8
Pakiet zawierający pliki nagłówkowe zarządcy okien Metacity.

%package static
Summary:	Static Metacity library
Summary(pl.UTF-8):	Statyczna biblioteka Metacity
Group:		X11/Development/Libraries
Requires:	%{name}-devel = %{epoch}:%{version}-%{release}

%description static
Static version of Metacity library.

%description static -l pl.UTF-8
Statyczna wersja biblioteki Metacity.

%package themes-AgingGorilla
Summary:	AgingGorilla theme for Metacity
Summary(pl.UTF-8):	Motyw AgingGorilla dla Metacity
Group:		Themes/GTK+
Requires:	%{name} = %{epoch}:%{version}-%{release}
Provides:	metacity-theme-base = %{epoch}:%{version}-%{release}

%description themes-AgingGorilla
AgingGorilla theme for Metacity.

%description themes-AgingGorilla -l pl.UTF-8
Motyw AgingGorilla dla Metacity.

%package themes-Atlanta
Summary:	Atlanta theme for Metacity
Summary(pl.UTF-8):	Motyw Atlanta dla Metacity
Group:		Themes/GTK+
Requires:	%{name} = %{epoch}:%{version}-%{release}
Provides:	metacity-theme-base = %{epoch}:%{version}-%{release}

%description themes-Atlanta
Atlanta theme for Metacity.

%description themes-Atlanta -l pl.UTF-8
Motyw Atlanta dla Metacity.

%package themes-Bright
Summary:	Bright theme for Metacity
Summary(pl.UTF-8):	Motyw Bright dla Metacity
Group:		Themes/GTK+
Requires:	%{name} = %{epoch}:%{version}-%{release}
Provides:	metacity-theme-base = %{epoch}:%{version}-%{release}

%description themes-Bright
Bright theme for Metacity.

%description themes-Bright -l pl.UTF-8
Motyw Bright dla Metacity.

%package themes-Crux
Summary:	Crux theme for Metacity
Summary(pl.UTF-8):	Motyw Crux dla Metacity
Group:		Themes/GTK+
Requires:	%{name} = %{epoch}:%{version}-%{release}
Provides:	metacity-theme-base = %{epoch}:%{version}-%{release}

%description themes-Crux
Crux theme for Metacity.

%description themes-Crux -l pl.UTF-8
Motyw Crux dla Metacity.

%package themes-Esco
Summary:	Esco theme for Metacity
Summary(pl.UTF-8):	Motyw Esco dla Metacity
Group:		Themes/GTK+
Requires:	%{name} = %{epoch}:%{version}-%{release}
Provides:	metacity-theme-base = %{epoch}:%{version}-%{release}

%description themes-Esco
Esco theme for Metacity.

%description themes-Esco -l pl.UTF-8
Motyw Esco dla Metacity.

%package themes-Metabox
Summary:	Metabox theme for Metacity
Summary(pl.UTF-8):	Motyw Metabox dla Metacity
Group:		Themes/GTK+
Requires:	%{name} = %{epoch}:%{version}-%{release}
Provides:	metacity-theme-base = %{epoch}:%{version}-%{release}

%description themes-Metabox
Metabox theme for Metacity.

%description themes-Metabox -l pl.UTF-8
Motyw Metabox dla Metacity.

%package themes-Simple
Summary:	Simple theme for Metacity
Summary(pl.UTF-8):	Motyw Simple dla Metacity
Group:		Themes/GTK+
Requires:	%{name} = %{epoch}:%{version}-%{release}
Provides:	metacity-theme-base = %{epoch}:%{version}-%{release}

%description themes-Simple
Simple theme for Metacity.

%description themes-Simple -l pl.UTF-8
Motyw Simple dla Metacity.

%prep
%setup -q
%patch0 -p1

%{__sed} -i -e 's/en@shaw//' po/LINGUAS
%{__rm} -f po/en@shaw.po

%build
%{__intltoolize}
%{__libtoolize}
%{__aclocal}
%{__autoconf}
%{__autoheader}
%{__automake}
%configure \
	--disable-schemas-install \
	--enable-compositor
%{__make}

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{_datadir}/xml/metacity

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT \
	GCONF_DISABLE_MAKEFILE_SCHEMA_INSTALL=1

install doc/metacity-theme.dtd $RPM_BUILD_ROOT%{_datadir}/xml/metacity

%{__rm} $RPM_BUILD_ROOT%{_libdir}/libmetacity-private.la

%find_lang %{name} --with-gnome --all-name

%clean
rm -rf $RPM_BUILD_ROOT

%post
%gconf_schema_install metacity.schemas

%preun
%gconf_schema_uninstall metacity.schemas

%post	libs -p /sbin/ldconfig
%postun	libs -p /sbin/ldconfig

%files -f %{name}.lang
%defattr(644,root,root,755)
%doc AUTHORS NEWS README rationales.txt doc/theme-format.txt
%attr(755,root,root) %{_bindir}/metacity
%attr(755,root,root) %{_bindir}/metacity-message
%attr(755,root,root) %{_bindir}/metacity-theme-viewer
%attr(755,root,root) %{_bindir}/metacity-window-demo
%{_datadir}/%{name}
%{_desktopdir}/metacity.desktop
%{_sysconfdir}/gconf/schemas/metacity.schemas
%{_datadir}/gnome-control-center/keybindings/*.xml
%{_datadir}/gnome/wm-properties/metacity-wm.desktop
%{_datadir}/xml/metacity
%{_mandir}/man1/metacity*.1*

%files themes-AgingGorilla
%defattr(644,root,root,755)
%{_datadir}/themes/AgingGorilla

%files themes-Atlanta
%defattr(644,root,root,755)
%{_datadir}/themes/Atlanta

%files themes-Bright
%defattr(644,root,root,755)
%{_datadir}/themes/Bright

%files themes-Crux
%defattr(644,root,root,755)
%{_datadir}/themes/Crux

%files themes-Esco
%defattr(644,root,root,755)
%{_datadir}/themes/Esco

%files themes-Metabox
%defattr(644,root,root,755)
%{_datadir}/themes/Metabox

%files themes-Simple
%defattr(644,root,root,755)
%{_datadir}/themes/Simple

%files libs
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libmetacity-private.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libmetacity-private.so.0

%files devel
%defattr(644,root,root,755)
%doc ChangeLog HACKING doc/dialogs.txt
%attr(755,root,root) %{_libdir}/libmetacity-private.so
%{_includedir}/metacity-1
%{_pkgconfigdir}/libmetacity-private.pc

%files static
%defattr(644,root,root,755)
%{_libdir}/libmetacity-private.a

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: metacity.spec,v $
Revision 1.148  2011/03/23 16:16:05  wiget
- drop libtool file
- rel. 2

Revision 1.147  2010/09/30 13:46:45  megabajt
- updated to 2.30.3

Revision 1.146  2010/04/06 11:14:22  megabajt
- updated to 2.30.1

Revision 1.145  2010/03/31 22:38:29  megabajt
- updated to 2.30.0

Revision 1.144  2010/02/21 13:35:02  megabajt
- added -meta_session_shutdown.patch; thanks to Lukasz Kies (fix for bg#588119 and lp#522772)
- release 3

Revision 1.143  2010/01/30 10:23:14  megabajt
- release 2

Revision 1.142  2010/01/26 13:45:07  megabajt
- updated to 2.28.1

Revision 1.141  2009/11/12 16:17:41  patrys
- rebuild
- rel 2

Revision 1.140  2009/09/26 13:26:11  megabajt
- updated to 2.28.0; merged from DEVEL

Revision 1.139.2.2  2009/09/08 21:40:36  patrys
- 2.27.1

Revision 1.139.2.1  2009/07/29 08:26:12  patrys
- 2.27.0

Revision 1.139  2009/06/17 19:54:47  hawk
- release 3

Revision 1.138  2009/03/18 11:46:09  patrys
- R: and BR: zenity

Revision 1.137  2009/03/16 20:47:15  megabajt
- updated to 2.26.0; merged changes from DEVEL

Revision 1.136.2.1  2009/02/19 23:30:11  megabajt
- updated to 2.25.144
- removed unsupported ca@valencia, la locales

Revision 1.136  2008/11/09 17:12:11  arekm
- release 2

Revision 1.135  2008/09/27 12:23:17  megabajt
- updated to 2.24.0; merged from DEVEL

Revision 1.134.2.13  2008/09/18 15:37:57  patrys
- add wm desktop

Revision 1.134.2.12  2008/09/13 09:42:07  patrys
- drop bcond (upstream behavior changed)
- drop patch0 (swap buttons, was disabled anyway)
- if you want to change wm's behavior, do it upstream

Revision 1.134.2.11  2008/09/10 12:43:01  patrys
- 2.23.610

Revision 1.134.2.10  2008/09/04 08:30:01  patrys
- 2.23.377

Revision 1.134.2.9  2008/08/18 14:27:55  patrys
- 2.23.144

Revision 1.134.2.8  2008/08/05 19:25:53  patrys
- drop desktop workaround (now properly handled by gnome-session)

Revision 1.134.2.7  2008/07/24 08:10:06  patrys
- 2.23.55

Revision 1.134.2.6  2008/06/18 11:59:28  patrys
- 2.23.34

Revision 1.134.2.5  2008-06-08 13:10:22  patrys
- move desktop file to gnome autostart

Revision 1.134.2.4  2008-05-27 13:57:12  patrys
- 2.23.21

Revision 1.134.2.3  2008-05-13 18:14:22  patrys
- add missing symlink

Revision 1.134.2.2  2008-05-13 16:48:37  patrys
- package desktop file for session

Revision 1.134.2.1  2008-05-13 13:27:17  patrys
- 2.23.13

Revision 1.134  2008-03-11 23:29:48  patrys
- 2.22.0
- merged from DEVEL

Revision 1.132.2.4  2008-03-11 22:59:18  patrys
- 2.22.0

Revision 1.132.2.3  2008-02-14 12:31:48  megabajt
- updated to 2.21.13

Revision 1.132.2.2  2008-02-06 13:09:42  patrys
- 2.21.8
- drop patch0 (no longer needed)
- patch1 inactive (not sure what it did but looks like it changed the behavior)

Revision 1.133  2008-01-09 19:30:34  megabajt
- updated to 2.20.2

Revision 1.132.2.1  2007-12-19 14:51:33  patrys
- 2.21.5

Revision 1.132  2007-11-19 06:54:13  megabajt
- updated to 2.20.1

Revision 1.131  2007-11-11 10:29:51  megabajt
- sr@Latn -> sr@latin; release 2

Revision 1.130  2007/09/16 09:48:53  megabajt
- updated to 2.20.0; merged changes from DEVEL

Revision 1.129.2.1  2007/08/29 01:09:09  patrys
- 2.19.55

Revision 1.129  2007/06/18 18:09:27  megabajt
- updated to 2.18.5

Revision 1.128  2007/05/28 17:15:09  megabajt
- updated to 2.18.3

Revision 1.127  2007/04/09 10:25:30  megabajt
- updated to 2.18.2

Revision 1.126  2007/04/05 10:39:23  megabajt
- updated to 2.18.1

Revision 1.125  2007/03/13 08:19:57  megabajt
- updated to 2.18.0; merged changes from DEVEL

Revision 1.124.2.1  2007/03/02 22:32:09  megabajt
- updated to 2.17.8

Revision 1.124  2007/02/13 06:46:53  glen
- tabs in preamble

Revision 1.123  2007/02/12 00:49:07  baggins
- converted to UTF-8

Revision 1.122  2007/02/01 22:25:50  megabajt
- updated to 2.16.5
- more verbose files

Revision 1.121  2006/11/13 00:47:07  wrobell
- added optional twinview patch (works great)
- rel. 3

Revision 1.120  2006/10/05 22:15:10  grzegol
- package tk lang files (languages added in glibc-2.5)

Revision 1.119  2006/10/03 11:19:55  grzegol
- 2.16.3

Revision 1.118  2006/09/18 20:50:24  grzegol
- 2.16.2

Revision 1.117  2006/09/11 20:33:16  grzegol
- 2.16.1

Revision 1.116  2006/09/04 19:37:48  grzegol
- 2.16.0

Revision 1.115  2006/08/25 16:41:32  wrobell
- devel subpackage requires libcm-devel
- rel. 2

Revision 1.114  2006/08/22 16:14:17  freetz
- 2.15.34, updated deps

Revision 1.113  2006/08/08 20:56:56  freetz
- 2.15.21, updated BR

Revision 1.112  2006/07/26 17:37:09  freetz
- 2.15.13

Revision 1.111  2006/07/11 21:31:34  freetz
- 2.15.8, updated deps, --as-needed for linker

Revision 1.110  2006/07/09 20:08:14  pluto
- release 3 for kill libpng12.la deps.

Revision 1.109  2006/06/21 19:21:50  freetz
- enable compositor manager, BR: libcm-devel, rel.2

Revision 1.108  2006/06/13 16:00:00  freetz
- 2.15.5, updated deps

Revision 1.107  2006/06/07 16:22:09  freetz
- 2.15.3

Revision 1.106  2006/06/06 12:55:26  qboosh
- merged update to 2.14.5 from AC-branch

Revision 1.105  2006/04/16 12:42:13  freetz
- 2.14.3

Revision 1.104  2006/04/15 22:05:37  qboosh
- missing dot in previous changelog entry

Revision 1.103  2006/04/10 21:15:15  freetz
- 2.14.2

Revision 1.102  2006/04/02 11:09:03  freetz
- merged from DEVEL

Revision 1.99.2.9  2006/03/14 07:01:55  freetz
- 2.14.1

Revision 1.99.2.8  2006/02/28 08:50:22  freetz
- 2.13.144

Revision 1.99.2.7  2006/02/13 20:50:10  freetz
- 2.13.89

Revision 1.99.2.6  2006/01/30 18:23:51  freetz
- 2.13.55

Revision 1.99.2.5  2006/01/27 21:36:41  freetz
- 2.13.34

Revision 1.99.2.4  2006/01/16 18:20:01  freetz
- 2.13.21

Revision 1.99.2.3  2006/01/11 16:39:13  freetz
- 2.13.13

Revision 1.99.2.2  2006/01/02 22:29:13  freetz
- 2.13.8

Revision 1.99.2.1  2005/11/24 13:06:54  freetz
- 2.13.3

Revision 1.101  2006/02/08 16:07:42  freetz
- 2.12.3

Revision 1.100  2005/11/29 09:01:06  freetz
- 2.12.2

Revision 1.99  2005/10/04 20:23:27  freetz
- 2.12.1

Revision 1.98  2005/09/06 14:05:10  aflinta
- merged from DEVEL, 2.12.0

Revision 1.96.2.5  2005/08/22 20:54:57  aflinta
- 2.11.3

Revision 1.96.2.4  2005/08/17 20:40:53  aflinta
- rebuild with new cairo, rel. 2

Revision 1.96.2.3  2005/08/09 10:28:58  paladine
- updated to 2.11.2

Revision 1.96.2.2  2005/07/25 08:45:18  freetz
- 2.11.1

Revision 1.96.2.1  2005/07/13 11:35:02  freetz
- 2.11.0

Revision 1.96  2005/06/28 20:09:26  freetz
- 2.10.2

Revision 1.95  2005/04/12 22:03:15  qboosh
- /sbin/ldconfig deps for post* -p are autogenerated

Revision 1.94  2005/04/12 19:23:21  freetz
- reversed ldconfig changes

Revision 1.93  2005/04/12 09:12:57  paladine
- updated to 2.10.1
- new style macros
